> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riverside.fm/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workspace

> Retrieves a list of all productions in your workspace, including their studios and projects.

**HTTP Method**: GET

**URL**: `/api/v3/productions`

**Authentication**: Requires API Key in the request header.

**Response**: List of production objects containing studios and projects.

**Rate limit**: Once every 1 second.

**Status Codes**:

* `200 OK` Productions retrieval successful.
* `401 Unauthorized` Authentication failed.
* `429 Too Many Requests` Rate limit exceeded.

### **Sample Request**

```bash theme={null}
GET /api/v3/productions HTTP/1.1
Host: platform.riverside.com
Authorization: Bearer YOUR_API_KEY
```

### **Sample Response**

```json theme={null}
[
  {
    "id": "prod123",
    "name": "My Podcast Production",
    "created_date": "2024-04-10T01:01:01.000Z",
    "num_recordings": 25,
    "studios": [
      {
        "id": "studio456",
        "name": "Main Studio",
        "created_date": "2024-04-11T01:01:01.000Z",
        "num_recordings": 15,
        "projects": [
          {
            "id": "proj789",
            "name": "Season 1",
            "created_date": "2024-04-12T01:01:01.000Z",
            "num_recordings": 8
          },
          {
            "id": "proj790",
            "name": "Season 2",
            "created_date": "2024-06-01T01:01:01.000Z",
            "num_recordings": 7
          }
        ]
      }
    ]
  }
]
```

### **Response Fields**

| Field                | Type   | Description                                  |
| -------------------- | ------ | -------------------------------------------- |
| `id`                 | string | Unique identifier for the production         |
| `name`               | string | Name of the production                       |
| `created_date`       | string | ISO 8601 timestamp of creation               |
| `num_recordings`     | number | Total number of recordings in the production |
| `studios`            | array  | List of studios within the production        |
| `studios[].projects` | array  | List of projects within each studio          |
